#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBF,0xA9,0x50,0x4D,0x3F,0x8C,0xE6,0x9A,0xF6,0x49,0x0D,0x67,
		0x51,0x3B,0x97,0x9A,0x01,0x44,0x1B,0xAB,0xAA,0x17,0x3E,0x4F,
		0xAE,0x26,0x07,0x81,0x28,0xD9,0x4E,0x95,0x7D,0x90,0xA8,0x93,
		0xFC,0x3E,0xC7,0x16,0x22,0x28,0xCD,0xFD,0x8E,0x2B,0xA8,0xC4,
		0xC0,0x2E,0x19,0xA0,0xAD,0x0E,0x4F,0x29,0x80,0xE0,0x72,0xBF,
		0x65,0xB5,0xFF,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
